Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-3533

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2012-3533
Last Modified 03 Sep 2012 12:00:00
Published 31 Aug 2012 04:55:01
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-3533

Summary

The python SDK before 3.1.0.6 and CLI before 3.1.0.8 for oVirt 3.1 does not check the server SSL certificate against the client keys, which allows remote attackers to spoof a server via a man-in-the-middle (MITM) attack.

Vulnerable Systems

Application

  • Ovirt 3.1

  • Ovirt-engine-cli 3.1.0.5

  • Ovirt-engine-sdk 3.1.0.5


References

MISC - https://bugzilla.redhat.com/show_bug.cgi?id=851672

XF - ovirt-ssl-spoofing(77984)

BID - 55208

MLIST - [oss-security] 20120826 Re: oVirt 3.1 does not validate server certificates in python sdk and cli (CVE-2012-3533)

MLIST - [oss-security] 20120824 oVirt 3.1 does not validate server certificates in python sdk and cli (CVE-2012-3533)

SECUNIA - 50409

CONFIRM - http://gerrit.ovirt.org/#/c/7249/

CONFIRM - http://gerrit.ovirt.org/#/c/7209/


Last Updated: 27 May 2016 11:00:26